# Generated from elabs-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name elabs

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: ELabs is a project-centric Rails engine CMS
License: MIT
URL: https://experimentslabs.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This Rails engine provides a CMS to manage content types as projects,
articles, albums,...


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.eslintrc.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.haml-lint.yml
%{gem_instdir}/.node-version
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%{gem_instdir}/.stylelintrc.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSES.md
%{gem_instdir}/ROADMAP.md
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/locale
%{gem_instdir}/package.json
%{gem_instdir}/script
%{gem_instdir}/tmp
%{gem_instdir}/yarn.lock
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/elabs.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 5.0.0-1
- Initial package
